Utiliser Perl sous Windows
==========================

Pour pouvoir utiliser le langage Perl, ou pour faire tourner un programme Perl, sous Windows, il suffit d’avoir ou d’installer l’interpréteur Perl sur votre machine.

## Perl

Pour savoir si l’interpréteur est déjà installé, ouvrez une interface de commande en ligne en tapant `⊞ + R` (c’est-à-dire en appuyant à la fois sur la touche avec le logo Windows `⊞` et sur la touche `R`), puis tapez la commande `cmd` dans la zone de texte.

![image](images/Executer.png)

Dans l’interface (ou console), tapez `perl -v`. Si l’interpréteur est présent, vous aurez une réponse du type :

![image](images/Test_perl1.png)

Sinon, vour aurez un message indiquant que la commande n’est pas reconnue par le système :

![image](images/Test_perl2.png)

Pour quitter l‘interface, tapez `exit`.


## Installation de Perl

Il existe deux distributions Perl pour Windows : [Activestate](https://www.activestate.com/products/perl/) et [Strawberry](https://strawberryperl.com/). De nos jours, c’est cette dernière qui est préférée. Allez sur la page [https://strawberryperl.com/](https://strawberryperl.com/) et cliquez sur la version de Perl que vous souhaitez (le nom est de la forme `strawberry-perl-5.xx.x.x-xxbit.msi`).

![image](images/Strawberry_perl.png)

Pour savoir si vous devez prendre la version 64 bits ou 32 bits, il y a plusieurs façons de faire. Par exemple, tapez `⊞ + X` (c’est-à-dire en appuyant à la fois sur la touche avec le logo Windows `⊞` et sur la touche `X`) pour ouvrir le menu des réglages du système, puis cliquez sur `Système`. Dans le menu, sélectionnez `À propos de` et vous aurez l’information à la rubrique `Type du système`.

Après avoir cliqué sur la version la mieux adaptée à votre ordinateur, enregistrez dans le répertoire `Téléchargements`, puis, à partir du navigateur ou avec l’explorateur de fichiers de Windows, double-cliquez sur le fichier téléchargé pour lancer l‘installation. Les différentes étapes sont :

Page d’accueil : cliquez sur `Next`.

![image](images/Installe_perl_0.png)

Licence : cochez la case `I accept the terms in the License Agreement`.

![image](images/Installe_perl_1.png)

Répertoire d’installation : cliquez sur `Next` à moins d’avoir une excellente raison de choisir un autre répertoire.

![image](images/Installe_perl_2.png)

Lancement de l’installation proprement dite : cliquez sur `Install`.

![image](images/Installe_perl_3.png)

Installation réussie : cliquez sur `Finish`.

![image](images/Installe_perl_4.png)


## Utilisation d’un programme Perl
